%define	name	giggle
%define	version	0.7
%define	release	%mkrel 3
%define major 0
%define libname %mklibname %name %major
%define develname %mklibname -d %name

Summary:	Gtk frontend for git
Summary(de):	GTK Frontend für die Versionsverwaltung Git
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPLv2+
Group:		Development/Other
URL:		http://live.gnome.org/giggle
Source0:	http://ftp.gnome.org/pub/GNOME/sources/%name/%{name}-%{version}.tar.xz
Patch0:		giggle-0.7-gtksourceview-3.8.patch
Patch1:		giggle-0.7-gettext-usage.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	gtk+3-devel
BuildRequires:	%{_lib}gtksourceview3.0-devel
BuildRequires:	libxml2-devel
BuildRequires:  %{_lib}vte3-devel
BuildRequires:	intltool
BuildRequires:  git
BuildRequires:	dbus-glib-devel
BuildRequires:	itstool
Requires:       git
Requires: %libname >= %version-%release

%description
Giggle is a graphical frontend for the git directory tracker.

%description -l de
Giggle ist eine grafische Oberfläsche für den Git Verzeichnistracker.

%package -n %libname
Summary: %summary
Summary(de): Bibliotheken, die zum Ausführen von Giggle benötigt werden.
Group: System/Libraries

%description -n %libname
Giggle is a graphical frontend for the git directory tracker.

%description -n %libname -l de
Bibliotheken, die zum Ausführen von Giggle benötigt werden.

%package -n %develname
Summary: %summary
Summary(de): Bibliotheken und Header-Dateien für auf Giggle basierende Programme.
Group: Development/Libraries
Provides: lib%name-devel = %version-%release
Provides: %name-devel = %version-%release
Requires: %libname = %version-%release

%description -n %develname
Giggle is a graphical frontend for the git directory tracker.

%description -n %develname -l de
Dieses Paket enthält die Entwicklerdateien für Giggle.

%prep
%setup -q
%apply_patches

%build
%configure2_5x

%make

%install
rm -rf ${RPM_BUILD_ROOT}
%makeinstall_std

desktop-file-install --vendor="" \
  --add-category="X-MandrivaLinux-MoreApplications-Development-Other" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*

#remove uneeded files
rm -f $RPM_BUILD_ROOT/%_libdir/*.la

%find_lang %{name}


%post
%update_icon_cache hicolor

%postun
%clean_icon_cache hicolor

%clean
rm -rf %buildroot

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS README NEWS ChangeLog
%{_bindir}/*
%dir %_libdir/%name
%dir %_libdir/%name/plugins
%dir %_libdir/%name/plugins/%version
%_libdir/%name/plugins/%version/libpersonal-details*
%_libdir/%name/plugins/%version/libterminal-view*
%_libdir/%name/plugins/%version/*.xml
%dir %_datadir/%name/
%dir %_datadir/%name/glade/
%_datadir/%name/glade/main-window.ui
%{_datadir}/applications/%name.desktop
%{_iconsdir}/hicolor/*/apps/*
%{_datadir}/help/*/giggle/*

%files -n %libname
%defattr(-,root,root)
%_libdir/libgiggle.so.%{major}*
%_libdir/libgiggle-git.so.%{major}*

%files -n %develname
%defattr(-,root,root)

%_libdir/libgiggle.so
%_libdir/libgiggle-git.so
%_includedir/%name

%changelog
* Tue Oct 13 2015 bb ,bb> 0.7-3pclos2015
- rebuild for updates

* Mon Nov 25 2013 billybot <billybot> 0.7-2pclos2013
- fix BR:gtksourceview3.0-devel
- change rpm devel group to Development/Libraries
- remove .la files
- drop postscripts update-menus and clean-menus (not used anymore)

* Mon Nov 25 2013 ghostbunny <hmhaase at pclinuxosusers dot de> 0.7-1pclos2013
- 0.7
- add German summaries and descriptions
- update deps to gtk+3, vte3 and gtksourceview3
- add BR itstool
- drop evolution-data-server features because a newer version of the package is required
- fix files section

* Sun Oct 10 2010 Texstar <texstar at gmail.com> 0.5-3pclos2010
- rebuild

* Mon Jun 21 2010 Texstar <texstar at gmail.com> 0.5-2pclos2010
- rebuild against updated evolution-data-server

* Wed Apr 21 2010 slick50 <lxgator@gmail.com> 0.5-1pclos2010
-  0.5

* Tue Mar 09 2010 slick50 <lxgator@gmail.com> 0.49.7-1pclos2010
-  0.49.7

* Tue Feb 09 2010 slick50 <lxgator@gmail.com> 0.49.6-1pclos2010
-  0.49.6

* Mon Jan 25 2010 slick50 <lxgator@gmail.com> 0.49.5-1pclos2010
- initial pkg

